libetonyek::IWORKLinkElement Class Reference documentation

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKLinkElement Class Reference

`#include <IWORKLinkElement.h>`

Inheritance diagram for libetonyek::IWORKLinkElement:

## Public Member Functions
| IWORKLinkElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextMixed, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextMixed, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMixed
| IWORKXMLContextMixed (IWORKXMLParserState &)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
bool | m_opened

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextMixed, IWORKXMLParserState >
IWORKXMLParserState & | m_state
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKLinkElement()

libetonyek::IWORKLinkElement::IWORKLinkElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKLinkElement::attribute | ( | int | name,
|  | const char * | value )
| overrideprotectedvirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKLinkElement::element | ( | int | name | ) |
| overrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKLinkElement::endOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ text()

void libetonyek::IWORKLinkElement::text | ( | const char * | value | ) |
| overrideprotectedvirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_opened

bool libetonyek::IWORKLinkElement::m_opened
| private

Referenced by attribute(), endOfElement(), and IWORKLinkElement().

The documentation for this class was generated from the following files:

- IWORKLinkElement.h
- IWORKLinkElement.cpp